%global momorel 1
%global srcname %{name}-%{version}

Summary: Secure imap and pop3 server
Name: dovecot
Version: 1.2.17
Release: %{momorel}m%{?dist}
#dovecot itself is MIT, a few sources are PD, (manage)sieve is LGPLv2, perfect_maildir.pl is GPLv2+
License: MIT and LGPLv2 and GPLv2+
Group: System Environment/Daemons

%define ver4mansieve 1.2.15
%define sieve_version 0.1.18
%define sieve_name dovecot-1.2-sieve
%define managesieve_version 0.11.12
%define managesieve_name dovecot-1.2-managesieve

URL: http://www.dovecot.org/
Source0: http://www.dovecot.org/releases/1.2/%{srcname}.tar.gz
NoSource: 0
Source1: dovecot.init
Source2: dovecot.pam
Source3: maildir-migration.txt
Source4: migrate-folders
Source5: migrate-users
Source6: perfect_maildir.pl
Source8: http://www.rename-it.nl/dovecot/1.2/%{sieve_name}-%{sieve_version}.tar.gz
NoSource: 8
Source9: dovecot.sysconfig
Source10: http://www.rename-it.nl/dovecot/1.2/%{managesieve_name}-%{managesieve_version}.tar.gz
NoSource: 10
Source11: http://www.rename-it.nl/dovecot/1.2/dovecot-%{ver4mansieve}-managesieve-%{managesieve_version}.diff.gz
NoSource: 11
Source12: dovecot.8
Source13: dovecotpw.1
Source14: dovecot.conf.5

Patch1: dovecot-1.1-default-settings.patch
Patch2: dovecot-1.0.beta2-mkcert-permissions.patch
Patch3: dovecot-1.0.rc7-mkcert-paths.patch

Obsoletes: dovecot-sqlite < 1.2.13-1m
Obsoletes: dovecot-ldap   < 1.2.13-1m
Obsoletes: dovecot-gssapi < 1.2.13-1m

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel, pam-devel, zlib-devel, libcap-devel
BuildRequires: libtool, autoconf, automake, pkgconfig
BuildRequires: sqlite-devel
BuildRequires: postgresql-devel
BuildRequires: mysql-devel >= 5.1.32
BuildRequires: openldap-devel
BuildRequires: krb5-devel
BuildRequires: libcurl-devel expat-devel

# gettext-devel is needed for running autoconf because of the
# presence of AM_ICONV
BuildRequires: gettext-devel

# Explicit Runtime Requirements
Requires: openssl >= 0.9.7f-4

# Package includes an initscript service file, needs to require initscripts package
Requires: initscripts
Requires(pre): shadow-utils
Requires(post): chkconfig, shadow-utils
Requires(preun): shadow-utils, chkconfig, initscripts
Requires(postun): initscripts

%define docdir %{_docdir}/%{name}
%define ssldir %{_sysconfdir}/pki/%{name}

%description
Dovecot is an IMAP server for Linux/UNIX-like systems, written with security 
primarily in mind.  It also contains a small POP3 server.  It supports mail 
in either of maildir or mbox formats.

The SQL drivers and authentication plug-ins are in their subpackages.

%package pigeonhole
Requires: %{name} = %{version}-%{release}
Obsoletes: dovecot-sieve < 1.2.13-1m
Obsoletes: dovecot-managesieve < 1.2.13-1m
Summary: Sieve and managesieve plug-in for dovecot
Group: System Environment/Daemons
License: MIT and LGPLv2

%description pigeonhole
This package provides sieve %{sieve_version} and managesieve %{managesieve_version} plug-in for dovecot LDA.

%package pgsql
Requires: %{name} = %{version}-%{release}
Summary: Postgres SQL back end for dovecot
Group: System Environment/Daemons
%description pgsql
This package provides the Postgres SQL back end for dovecot-auth etc.

%package mysql
Requires: %{name} = %{version}-%{release}
Summary: MySQL back end for dovecot
Group: System Environment/Daemons
%description mysql
This package provides the MySQL back end for dovecot-auth etc.

%package devel
Requires: %{name} = %{version}-%{release}
Summary: Development files for dovecot
Group: Development/Libraries
%description devel
This package provides the development files for dovecot.

%prep
%setup -q
zcat %{SOURCE11} | patch -p1 --fuzz=0 -s
%setup -q -D -T -a 8 -a 10

%patch1 -p1 -b .default-settings
%patch2 -p1 -b .mkcert-permissions
%patch3 -p1 -b .mkcert-paths

%build
rm -f ./"configure"
autoreconf -i -f
%configure                           \
    INSTALL_DATA="install -c -p -m644" \
    --enable-header-install      \
    --disable-static             \
    --with-libcap                \
    --with-pgsql                 \
    --with-mysql                 \
    --with-sqlite                \
    --with-sql=plugin            \
    --with-sql-drivers           \
    --with-ssl=openssl           \
    --with-ssldir=%{ssldir}      \
    --with-ldap=plugin           \
    --with-gssapi=plugin         \
    --without-bzlib              \
    --with-solr                  \
    LIBS="-lcrypt -ldl"

#mbox bzip2 suport is disabled because it does not work and upstream
#does not plan to fix it in 1.2.x

make %{?_smp_mflags}

#sieve
pushd %{sieve_name}-%{sieve_version}
rm -f ./"configure"
autoreconf -i -f
%configure                             \
    INSTALL_DATA="install -c -p -m644" \
    --disable-static                   \
    --with-dovecot=../                 \
    --with-unfinished-features

make %{?_smp_mflags}
popd

#managesieve
pushd %{managesieve_name}-%{managesieve_version}
rm -f ./"configure"
autoreconf -i -f
%configure                           \
    INSTALL_DATA="install -c -p -m644" \
    --disable-static                 \
    --with-dovecot=../               \
    --with-dovecot-sieve=../%{sieve_name}-%{sieve_version}/

make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}

install -p -m 755 src/plugins/convert/convert-tool $RPM_BUILD_ROOT%{_libexecdir}/%{name}

install -p -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initscriptdir}/dovecot

install -p -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/dovecot

install -p -D -m 600 %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/dovecot

mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man5,man8}
install -p -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{_mandir}/man8/
install -p -m 644 %{SOURCE13} $RPM_BUILD_ROOT%{_mandir}/man1/
install -p -m 644 %{SOURCE14} $RPM_BUILD_ROOT%{_mandir}/man5/

# generate ghost .pem file
mkdir -p $RPM_BUILD_ROOT%{ssldir}/certs
mkdir -p $RPM_BUILD_ROOT%{ssldir}/private
touch $RPM_BUILD_ROOT%{ssldir}/certs/dovecot.pem
chmod 600 $RPM_BUILD_ROOT%{ssldir}/certs/dovecot.pem
touch $RPM_BUILD_ROOT%{ssldir}/private/dovecot.pem
chmod 600 $RPM_BUILD_ROOT%{ssldir}/private/dovecot.pem

mkdir -p $RPM_BUILD_ROOT/var/run/dovecot/login
chmod 755 $RPM_BUILD_ROOT/var/run/dovecot
chmod 700 $RPM_BUILD_ROOT/var/run/dovecot/login

# Install dovecot.conf and dovecot-openssl.cnf
mkdir -p $RPM_BUILD_ROOT%{ssldir}
install -p -m644 dovecot-example.conf $RPM_BUILD_ROOT%{_sysconfdir}/dovecot.conf
install -p -m644 dovecot-example.conf $RPM_BUILD_ROOT%{docdir}/dovecot.conf.default
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/dovecot-*example.conf # dovecot seems to install this by itself
install -p -m644 doc/dovecot-openssl.cnf $RPM_BUILD_ROOT%{ssldir}/dovecot-openssl.cnf

# Install the licensing files into the documentation area
install -p -m644 COPYING* $RPM_BUILD_ROOT%{docdir}

mkdir -p $RPM_BUILD_ROOT%{docdir}/examples/
install -p -m755 doc/mkcert.sh $RPM_BUILD_ROOT%{_libexecdir}/%{name}/mkcert.sh
for f in `cd doc; echo *.conf`; do
     install -p -m644 doc/$f $RPM_BUILD_ROOT%{docdir}/examples/$f;
done

install -p -m755 -d $RPM_BUILD_ROOT%{docdir}/UW-to-Dovecot-Migration
for f in %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6}
do
    install -p -m644 $f $RPM_BUILD_ROOT%{docdir}/UW-to-Dovecot-Migration
done

# fix encoding
pushd $RPM_BUILD_ROOT
for fe in ./%{docdir}/auth-protocol.txt
do
  iconv -f iso-8859-1 -t utf-8 <$fe >$fe.new
  touch -r $fe $fe.new
  mv -f $fe.new $fe
done
popd

mv $RPM_BUILD_ROOT%{docdir} $RPM_BUILD_ROOT%{docdir}-%{version}
mkdir -p $RPM_BUILD_ROOT/var/lib/dovecot


# sieve
pushd %{sieve_name}-%{sieve_version}
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_docdir}/dovecot-1.2-sieve sievedocdir
popd

# managesieve
pushd %{managesieve_name}-%{managesieve_version}
make install DESTDIR=$RPM_BUILD_ROOT
popd

#remove the libtool archives
find $RPM_BUILD_ROOT%{_libdir}/%{name}/ -name '*.la' | xargs rm -f

#prepare the filelist
(
    find ${RPM_BUILD_ROOT}%{_libdir}/%{name} -type d | sed -e "s|^|%dir |";
    find ${RPM_BUILD_ROOT}%{_libdir}/%{name} -! -type d | \
        grep -v 'dovecot-config\|lib90_cmusieve_plugin\.so\|libdriver_.*\.so\|libauthdb_.*\.so\|libmech_.*\.so';
) | sed -e "s|$RPM_BUILD_ROOT||" >libs.filelist


%check
make -C dovecot-1.2-sieve-%{sieve_version} test
 

%clean
rm -rf $RPM_BUILD_ROOT


%pre
getent group dovecot >/dev/null || groupadd -r dovecot
getent passwd dovecot >/dev/null || \
useradd -r -g dovecot -d /usr/libexec/dovecot -s /sbin/nologin -c "Dovecot IMAP server" dovecot
exit 0

%post
/sbin/chkconfig --add %{name}
# generate the ssl certificates
if [ ! -f %{ssldir}/certs/%{name}.pem ]; then
    SSLDIR=%{ssldir} OPENSSLCONFIG=%{ssldir}/dovecot-openssl.cnf \
         %{_libexecdir}/%{name}/mkcert.sh &> /dev/null
fi

if ! test -f /var/run/dovecot/login/ssl-parameters.dat; then
    dovecot --build-ssl-parameters &>/dev/null
fi
exit 0

%preun
if [ $1 = 0 ]; then
    /sbin/service %{name} stop > /dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%files -f libs.filelist
%defattr(-,root,root,-)
%doc %{docdir}-%{version}
%{_sbindir}/dovecot
%{_sbindir}/dovecotpw
%config(noreplace) %{_sysconfdir}/dovecot.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/dovecot
%config(noreplace) %{_sysconfdir}/pam.d/dovecot
%config(noreplace) %{ssldir}/dovecot-openssl.cnf
%{_initscriptdir}/dovecot
%dir %{ssldir}
%dir %{ssldir}/certs
%dir %{ssldir}/private
%attr(0600,root,root) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{ssldir}/certs/dovecot.pem
%attr(0600,root,root) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{ssldir}/private/dovecot.pem
%{_libdir}/%{name}/sql/libdriver_sqlite.so
%{_libdir}/%{name}/auth/libmech_gssapi.so
%{_libdir}/%{name}/auth/libauthdb_ldap.so
%{_libdir}/%{name}/auth/libdriver_sqlite.so
%{_libdir}/%{name}/dict/libdriver_sqlite.so
%{_libexecdir}/%{name}
%exclude %{_libexecdir}/%{name}/managesieve
%exclude %{_libexecdir}/%{name}/managesieve-login
%attr(0755,root,dovecot) %dir /var/run/dovecot
%attr(0750,root,dovecot) %dir /var/run/dovecot/login
%attr(0750,dovecot,dovecot) %dir /var/lib/dovecot
%{_mandir}/man1/dovecotpw.1*
%{_mandir}/man5/dovecot.conf.5*
%{_mandir}/man8/dovecot.8*

%files pigeonhole
%defattr(-,root,root,-)
%doc dovecot-1.2-sieve-%{sieve_version}/sievedocdir/dovecot/sieve
%{_bindir}/sieve-filter
%{_bindir}/sieve-test
%{_bindir}/sievec
%{_bindir}/sieved
%{_libexecdir}/%{name}/managesieve
%{_libexecdir}/%{name}/managesieve-login
%{_mandir}/man1/sieve-filter.1*
%{_mandir}/man1/sieve-test.1*
%{_mandir}/man1/sievec.1*
%{_mandir}/man1/sieved.1*

%files mysql
%defattr(-,root,root,-)
%{_libdir}/%{name}/sql/libdriver_mysql.so
%{_libdir}/%{name}/auth/libdriver_mysql.so
%{_libdir}/%{name}/dict/libdriver_mysql.so

%files pgsql
%defattr(-,root,root,-)
%{_libdir}/%{name}/sql/libdriver_pgsql.so
%{_libdir}/%{name}/auth/libdriver_pgsql.so
%{_libdir}/%{name}/dict/libdriver_pgsql.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/%{name}/dovecot-config


%changelog
* Thu May 26 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.17-1m)
- [SECURITY] CVE-2011-1929 CVE-2011-2166 CVE-2011-2167
- update to 1.2.17

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.15-4m)
- rebuild for new GCC 4.6

* Mon Mar 28 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.15-3m)
- rebuild against mysql-5.5.10

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.15-2m)
- rebuild for new GCC 4.5

* Sun Oct 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.15-1m)
- [SECURITY] CVE-2010-3706 CVE-2010-3707 CVE-2010-3779 CVE-2010-3780
- update to 1.2.15

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.13-3m)
- full rebuild for mo7 release

* Sat Aug 21 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.13-2m)
- explicitly link -lcrypt and -ldl for the moment

* Fri Aug 20 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.13-1m)
- [SECURITY] http://www.dovecot.org/list/dovecot-news/2010-July/000163.html
- sync with Fedora 13 (1:1.2.13-1)

* Sat May  8 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.11-3m)
- fix build with new gcc on i686

* Sun Apr  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.11-2m)
- rebuild against openssl-1.0.0

* Sun Mar 21 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.11-1m)
- [SECURITY] CVE-2010-0745
- update to 1.2.11

* Sun Jan 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.9-1m)
- [SECURITY] CVE-2009-3897
- update to 1.2.9

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Jul 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.1-1m)
- sync with Fedora 11 (1:1.2.1-1)
-- use dovecot-1.2-sieve and dovecot-1.2-managesieve

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-0.5.3m)
- remove duplicate files

* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-0.5.2m)
- remove duplicate files

* Fri Jun 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-0.5.1m)
- update to 1.2.rc5
- enable ldap
- add managesieve based on Fedora 11 (1:1.2-0.rc5.2)

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-0.4.2m)
- rebuild against openssl-0.9.8k

* Thu Mar 26 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-0.4.1m)
- update to 1.2.beta4

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-0.3.1m)
- update to 1.2.beta3
- rebuild against mysql-5.1.32 

* Sun Feb 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-0.2.1m)
- update to 1.2.beta1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-0.1.2m)
- rebuild against rpm-4.6

* Sat Jan 17 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-0.1.1m)
- update to 1.2.alpha5
- temporarily set %%global build_ldap 0

* Sat Nov  1 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.15-1m)
- [SECURITY] CVE-2008-4577
-- import security patch from Fedora 9 updates (1:1.0.15-14)
- update to 1.0.15
- update sieve plugin to 1.0.3

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.13-3m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.13-2m)
- rebuild against gcc43

* Thu Mar 13 2008 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.13-1m)
- up to 1.0.13
- [SECURITY] CVE-2008-1199 CVE-2008-1218

* Tue Feb 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.10-4m) 
- fix sieverel

* Tue Feb 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.10-3m)
- rebuild against openldap-2.4.8

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.10-2m)
- %%NoSource -> NoSource

* Wed Jan  2 2008 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.10-1m)
- up to 1.0.10
- [SECURITY] CVE-2007-6598
- [SECURITY] http://www.dovecot.org/list/dovecot-news/2007-December/000057.html

* Thu Dec 13 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.9-1m)
- up to 1.0.9

* Fri Nov 30 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.8-1m)
- up to 1.0.8

* Tue Oct 30 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.7-1m)
- up to 1.0.7

* Sun Oct 28 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.6-1m)
- up to 1.0.6

* Tue Sep 11 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.5-1m)
- up to 1.0.5
- update sieve plugin to 1.0.2

* Thu Aug  2 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.3-1m)
- up to 1.0.3

* Tue Jul 17 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.2-1m)
- up to 1.0.2

* Sat Jun 16 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.1-1m)
- up to 1.0.1

* Sat Apr 14 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.0-1m)
- up to 1.0.0

* Mon Apr  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.931-2m)
- increase release, yum can not handle same version same release (dovecot-sieve-1.0.1-1m)
- dovecot-sieve should be provided independent release number like kdebindings

* Mon Apr  9 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-0.931-1m)
- up to 1.0.rc31
- [SECURITY] zlib plugin allows opening any gziped mboxes
  <http://www.dovecot.org/list/dovecot-news/2007-March/000038.html>

* Sat Mar 24 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.0-0.928-1m)
- version up 1.0.rc28
- sync fedora devel (add dovecot-sieve package)

* Wed Mar 14 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-0.927-1m)
- up to 1.0.rc27

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.926-2m)
- rebuild against postgresql-8.2.3

* Wed Mar  7 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-0.926-1m)
- up to 1.0.rc26

* Fri Mar  2 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-0.925-1m)
- up to 1.0.rc25

* Fri Feb 23 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-0.924-1m)
- up to 1.0.rc24

* Tue Feb 20 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.0-0.923-1m)
- version up 1.0.rc23

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-0.922-2m)
- delete libtool library

* Wed Feb 07 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.0-0.922-1m)
- version up 1.0.rc22

* Fri Feb 02 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.0-0.921-1m)
- version up 1.0.rc21

* Fri Feb 02 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.0-0.920-1m)
- version up 1.0.rc20

* Wed Jan 24 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.0-0.919-1m)
- version up 1.0.rc19

* Tue Jan 23 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.0-0.918-1m)
- version up 1.0.rc18

* Sun Jan  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-0.917.1m)
- up to RC 17
- add BuildRequires: autoconf >= 2.61

* Sat Nov 25 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.0-0.915-1m)
- [SECURITY] CVE-2006-5973
- version up 1.0.rc15
- sync fc-6

* Thu Nov  8 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-0.912.2m)
- namespace hack for apple mail

* Thu Nov  7 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-0.912.1m)
- up to RC 12

* Wed Oct 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-0.96.2m)
- change autoreconf to each autotools

* Wed Aug  9 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-0.96.1m)
- up to 1.0rc6

* Tue Jun  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.8.2m)
- modify Prereq for new shadow-utils

* Fri May 19 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.0-0.8.1m)
- sync with fc-devel (1.0-0.beta7.1)
- version up to 1.0.beta8

* Tue May 17 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.99.14-7m)
- rebuild against mysql 5.0.22-1m

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.99.14-6m)
- rebuild against openldap-2.3.19

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.99.14-5m)
- rebuild against openldap-2.3.11

* Sat Nov 19 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.99.14-4m)
- rebuild against postgresql-8.1.0

* Mon Sep  5 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.99.14-3m)
- rebuild against for MySQL-4.1.14

* Mon Apr 25 2005 Toru Hoshina <t@momonga-linux.org>
- (0.99.14-2m)
- rebuild against postgresql-8.0.2.

* Fri Mar 11 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.99.14-1m)
- several fixes

* Mon Jan 10 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.99.13-1m)
- update to 0.99.13

* Fri Nov 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.99.11-2m)
- more momonganize

* Fri Oct 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.99.11-1m)
- import to momonga

* Thu Sep 30 2004 John Dennis <jdennis@redhat.com> 0.99.11-1.FC3.3
- fix bug #124786, listen to ipv6 as well as ipv4

* Wed Sep  8 2004 John Dennis <jdennis@redhat.com> 0.99.11-1.FC3.1
- bring up to latest upstream,
  comments from Timo Sirainen <tss at iki.fi> on release v0.99.11 2004-09-04
  + 127.* and ::1 IP addresses are treated as secured with
    disable_plaintext_auth = yes
  + auth_debug setting for extra authentication debugging
  + Some documentation and error message updates
  + Create PID file in /var/run/dovecot/master.pid
  + home setting is now optional in static userdb
  + Added mail setting to static userdb
  - After APPENDing to selected mailbox Dovecot didn't always notice the
    new mail immediately which broke some clients
  - THREAD and SORT commands crashed with some mails
  - If APPENDed mail ended with CR character, Dovecot aborted the saving
  - Output streams sometimes sent data duplicated and lost part of it.
    This could have caused various strange problems, but looks like in
    practise it rarely caused real problems.

* Wed Aug  4 2004 John Dennis <jdennis@redhat.com>
- change release field separator from comma to dot, bump build number

* Mon Aug  2 2004 John Dennis <jdennis@redhat.com> 0.99.10.9-1,FC3,1
- bring up to date with latest upstream, fixes include:
- LDAP support compiles now with Solaris LDAP library
- IMAP BODY and BODYSTRUCTURE replies were wrong for MIME parts which
  didn't contain Content-Type header.
- MySQL and PostgreSQL auth didn't reconnect if connection was lost
  to SQL server
- Linking fixes for dovecot-auth with some systems
- Last fix for disconnecting client when downloading mail longer than
  30 seconds actually made it never disconnect client. Now it works
  properly: disconnect when client hasn't read _any_ data for 30
  seconds.
- MySQL compiling got broken in last release
- More PostgreSQL reconnection fixing


* Mon Jul 26 2004 John Dennis <jdennis@redhat.com> 0.99.10.7-1,FC3,1
- enable postgres and mySQL in build
- fix configure to look for mysql in alternate locations
- nuke configure script in tar file, recreate from configure.in using autoconf

- bring up to latest upstream, which included:
- Added outlook-pop3-no-nuls workaround to fix Outlook hang in mails with NULs.
- Config file lines can now contain quoted strings ("value ")
- If client didn't finish downloading a single mail in 30 seconds,
  Dovecot closed the connection. This was supposed to work so that
  if client hasn't read data at all in 30 seconds, it's disconnected.
- Maildir: LIST now doesn't skip symlinks


* Wed Jun 30 2004 John Dennis <jdennis@redhat.com>
- bump rev for build
- change rev for FC3 build

* Fri Jun 25 2004 John Dennis <jdennis@redhat.com> - 0.99.10.6-1
- bring up to date with upstream,
  recent change log comments from Timo Sirainen were:
  SHA1 password support using OpenSSL crypto library
  mail_extra_groups setting
  maildir_stat_dirs setting
  Added NAMESPACE capability and command
  Autocreate missing maildirs (instead of crashing)
  Fixed occational crash in maildir synchronization
  Fixed occational assertion crash in ioloop.c
  Fixed FreeBSD compiling issue
  Fixed issues with 64bit Solaris binary

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 27 2004 David Woodhouse <dwmw2@redhat.com> 0.99.10.5-1
- Update to 0.99.10.5 to fix maildir segfaults (#123022)

* Fri May 07 2004 Warren Togami <wtogami@redhat.com> 0.99.10.4-4
- default auth config that is actually usable
- Timo Sirainen (author) suggested functionality fixes
  maildir, imap-fetch-body-section, customflags-fix

* Mon Feb 23 2004 Tim Waugh <twaugh@redhat.com>
- Use ':' instead of '.' as separator for chown.

* Tue Feb 17 2004 Jeremy Katz <katzj@redhat.com> - 0.99.10.4-3
- restart properly if it dies (#115594)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Nov 24 2003 Jeremy Katz <katzj@redhat.com> 0.99.10.4-1
- update to 0.99.10.4

* Mon Oct  6 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-7
- another patch from upstream to fix returning invalid data on partial
  BODY[part] fetches
- patch to avoid confusion of draft/deleted in indexes

* Tue Sep 23 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-6
- add some patches from upstream (#104288)

* Thu Sep  4 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-5
- fix startup with 2.6 with patch from upstream (#103801)

* Tue Sep  2 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-4
- fix assert in search code (#103383)

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 0.99.10-3
- rebuild

* Thu Jul 17 2003 Bill Nottingham <notting@redhat.com> 0.99.10-2
- don't run by default

* Thu Jun 26 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-1
- 0.99.10

* Mon Jun 23 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-0.2
- 0.99.10-rc2 (includes ssl detection fix)
- a few tweaks from fedora
  - noreplace the config file
  - configure --with-ldap to get LDAP enabled

* Mon Jun 23 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-0.1
- 0.99.10-rc1
- add fix for ssl detection
- add zlib-devel to BuildRequires
- change pam service name to dovecot
- include pam config

* Thu May  8 2003 Jeremy Katz <katzj@redhat.com> 0.99.9.1-1
- update to 0.99.9.1
- add patch from upstream to fix potential bug when fetching with
  CR+LF linefeeds
- tweak some things in the initscript and config file noticed by the
  fedora folks

* Sun Mar 16 2003 Jeremy Katz <katzj@redhat.com> 0.99.8.1-2
- fix ssl dir
- own /var/run/dovecot/login with the correct perms
- fix chmod/chown in post

* Fri Mar 14 2003 Jeremy Katz <katzj@redhat.com> 0.99.8.1-1
- update to 0.99.8.1

* Tue Mar 11 2003 Jeremy Katz <katzj@redhat.com> 0.99.8-2
- add a patch to fix quoting problem from CVS

* Mon Mar 10 2003 Jeremy Katz <katzj@redhat.com> 0.99.8-1
- 0.99.8
- add some buildrequires
- fixup to build with openssl 0.9.7
- now includes a pop3 daemon (off by default)
- clean up description and %%preun
- add dovecot user (uid/gid of 97)
- add some buildrequires
- move the ssl cert to %{_datadir}/ssl/certs
- create a dummy ssl cert in %post
- own /var/run/dovecot
- make the config file a source so we get default mbox locks of fcntl

* Sun Dec  1 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.99.4 and fix startup so it starts imap-master not vsftpd :)

* Tue Nov 26 2002 Seth Vidal <skvidal@phy.duke.edu>
- first build
